Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 17/03/2017, à 17:57

Caille

1 package can be upgraded. Run 'apt list --upgradable' to see it.

Bonjour,

Je viens de réaliser des mises à jour avec le gestionnaire de mises à jour.
J'ai ensuite utilisé la console avec la commande ci-dessous.

sudo apt update && sudo apt -y full-upgrade

Voici la réponse ?

caille@caille-N76VB:~$ sudo apt update && sudo apt -y full-upgrade
[sudo] Mot de passe de caille : 
Atteint:1 http://archive.canonical.com/ubuntu xenial InRelease
Réception de:2 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Atteint:3 http://fr.archive.ubuntu.com/ubuntu xenial InRelease                 
Ign:4 http://download.videolan.org/pub/debian/stable  InRelease                
Ign:5 http://dl.google.com/linux/chrome/deb stable InRelease                   
Atteint:6 http://ppa.launchpad.net/atareao/telegram/ubuntu xenial InRelease    
Atteint:7 http://fr.archive.ubuntu.com/ubuntu xenial-updates InRelease         
Atteint:8 http://download.videolan.org/pub/debian/stable  Release              
Atteint:9 http://dl.google.com/linux/chrome/deb stable Release                 
Atteint:10 http://ppa.launchpad.net/dhor/myway/ubuntu xenial InRelease         
Atteint:13 http://fr.archive.ubuntu.com/ubuntu xenial-backports InRelease      
Atteint:14 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu xenial InRelease
Atteint:15 http://ppa.launchpad.net/libreoffice/ppa/ubuntu xenial InRelease
Atteint:16 http://ppa.launchpad.net/otto-kesselgulasch/gimp-edge/ubuntu xenial InRelease
Atteint:17 http://ppa.launchpad.net/otto-kesselgulasch/gimp/ubuntu xenial InRelease
Atteint:18 http://ppa.launchpad.net/pmjdebruijn/darktable-release/ubuntu xenial InRelease
Atteint:19 http://ppa.launchpad.net/stebbins/handbrake-releases/ubuntu xenial InRelease
Atteint:20 http://ppa.launchpad.net/stellarium/stellarium-releases/ubuntu xenial InRelease
Atteint:21 http://ppa.launchpad.net/thefanclub/ubuntu-after-install/ubuntu xenial InRelease
Atteint:22 http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu xenial InRelease
Atteint:23 http://ppa.launchpad.net/webupd8team/java/ubuntu xenial InRelease
Atteint:24 http://ppa.launchpad.net/webupd8team/tor-browser/ubuntu xenial InRelease
Atteint:25 http://ppa.launchpad.net/wine/wine-builds/ubuntu xenial InRelease
Atteint:26 http://ppa.launchpad.net/yannubuntu/boot-repair/ubuntu xenial InRelease
102 ko réceptionnés en 3s (28,5 ko/s)
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
1 package can be upgraded. Run 'apt list --upgradable' to see it.
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  linux-headers-4.4.0-64 linux-headers-4.4.0-64-generic
  linux-image-4.4.0-64-generic linux-image-extra-4.4.0-64-generic
  linux-image-generic linux-signed-image-4.4.0-64-generic
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets suivants ont été conservés :
  linux-image-generic
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.
caille@caille-N76VB:~$ apt list --upgradable
En train de lister... Fait
linux-image-generic/xenial-updates 4.4.0.67.72 amd64 [upgradable from: 4.4.0.66.70]
N: There are 2 additional versions. Please use the '-a' switch to see them.
caille@caille-N76VB:~$ 

Je sors deux lignes qui m'intrigues de cette mise à jour.

1 package can be upgraded. Run 'apt list --upgradable' to see it.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 1 non mis à jour.

------------------------------------------------------------------------------------------------------------------------------

caille@caille-N76VB:~$ apt list --upgradable
En train de lister... Fait
linux-image-generic/xenial-updates 4.4.0.67.72 amd64 [upgradable from: 4.4.0.66.70]
N: There are 2 additional versions. Please use the '-a' switch to see them.
caille@caille-N76VB:~$

? ? ?

J'ai donc utilisé la commande sudo apt autoremove

caille@caille-N76VB:~$ sudo apt autoremove
[sudo] Mot de passe de caille : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Les paquets suivants seront ENLEVÉS :
  linux-headers-4.4.0-64 linux-headers-4.4.0-64-generic linux-image-4.4.0-64-generic linux-image-extra-4.4.0-64-generic linux-image-generic
  linux-signed-image-4.4.0-64-generic
0 mis à jour, 0 nouvellement installés, 6 à enlever et 0 non mis à jour.
Après cette opération, 297 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] o
(Lecture de la base de données... 304891 fichiers et répertoires déjà installés.)
Suppression de linux-headers-4.4.0-64-generic (4.4.0-64.85) ...
Suppression de linux-headers-4.4.0-64 (4.4.0-64.85) ...
Suppression de linux-signed-image-4.4.0-64-generic (4.4.0-64.85) ...
Création du fichier de configuration GRUB…
Attention : Définir GRUB_TIMEOUT à une valeur non nulle si GRUB_HIDDEN_TIMEOUT est définie n’est plus possible.
Image Linux trouvée : /boot/vmlinuz-4.4.0-67-generic
Image mémoire initiale trouvée : /boot/initrd.img-4.4.0-67-generic
Image Linux trouvée : /boot/vmlinuz-4.4.0-66-generic
Image mémoire initiale trouvée : /boot/initrd.img-4.4.0-66-generic
Image Linux trouvée : /boot/vmlinuz-4.4.0-64-generic
Image mémoire initiale trouvée : /boot/initrd.img-4.4.0-64-generic
Windows Boot Manager trouvé sur /dev/sda2@/efi/Microsoft/Boot/bootmgfw.efi
Adding boot menu entry for EFI firmware configuration
fait
Suppression de linux-image-extra-4.4.0-64-generic (4.4.0-64.85) ...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.4.0-64-generic /boot/vmlinuz-4.4.0-64-generic
run-parts: executing /etc/kernel/postinst.d/dkms 4.4.0-64-generic /boot/vmlinuz-4.4.0-64-generic
dkms: WARNING: Linux headers are missing, which may explain the above failures.
      please install the linux-headers-4.4.0-64-generic package to fix this.
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.4.0-64-generic /boot/vmlinuz-4.4.0-64-generic
update-initramfs: Generating /boot/initrd.img-4.4.0-64-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.4.0-64-generic /boot/vmlinuz-4.4.0-64-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.4.0-64-generic /boot/vmlinuz-4.4.0-64-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.4.0-64-generic /boot/vmlinuz-4.4.0-64-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.4.0-64-generic /boot/vmlinuz-4.4.0-64-generic
Création du fichier de configuration GRUB…
Attention : Définir GRUB_TIMEOUT à une valeur non nulle si GRUB_HIDDEN_TIMEOUT est définie n’est plus possible.
Image Linux trouvée : /boot/vmlinuz-4.4.0-67-generic
Image mémoire initiale trouvée : /boot/initrd.img-4.4.0-67-generic
Image Linux trouvée : /boot/vmlinuz-4.4.0-66-generic
Image mémoire initiale trouvée : /boot/initrd.img-4.4.0-66-generic
Image Linux trouvée : /boot/vmlinuz-4.4.0-64-generic
Image mémoire initiale trouvée : /boot/initrd.img-4.4.0-64-generic
Windows Boot Manager trouvé sur /dev/sda2@/efi/Microsoft/Boot/bootmgfw.efi
Adding boot menu entry for EFI firmware configuration
fait
Suppression de linux-image-4.4.0-64-generic (4.4.0-64.85) ...
Examining /etc/kernel/prerm.d.
run-parts: executing /etc/kernel/prerm.d/dkms 4.4.0-64-generic /boot/vmlinuz-4.4.0-64-generic
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-64-generic /boot/vmlinuz-4.4.0-64-generic
update-initramfs: Deleting /boot/initrd.img-4.4.0-64-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-64-generic /boot/vmlinuz-4.4.0-64-generic
Création du fichier de configuration GRUB…
Attention : Définir GRUB_TIMEOUT à une valeur non nulle si GRUB_HIDDEN_TIMEOUT est définie n’est plus possible.
Image Linux trouvée : /boot/vmlinuz-4.4.0-67-generic
Image mémoire initiale trouvée : /boot/initrd.img-4.4.0-67-generic
Image Linux trouvée : /boot/vmlinuz-4.4.0-66-generic
Image mémoire initiale trouvée : /boot/initrd.img-4.4.0-66-generic
Windows Boot Manager trouvé sur /dev/sda2@/efi/Microsoft/Boot/bootmgfw.efi
Adding boot menu entry for EFI firmware configuration
fait
Suppression de linux-image-generic (4.4.0.66.70) ...
caille@caille-N76VB:~$ 

Est-il possible que lors d'une mise à jour, si il y a besoin d'un sudo apt autoremove que celle-ci soit lancée automatiquement ?

Cordialement.

Dernière modification par Caille (Le 17/03/2017, à 18:16)


Portable Asus N76B-T5041H (Core I-7 3630QM Ivy-Bridge Ram 8 Go, Vidéo INTEL HD Graphique 4000 + GEFORCE 740 M Ram 4 Go).
Sous Windows 10-1607-14393.969 & Ubuntu 16.04.2 Séparé chacun son disque de 1 To en UEFI avec un Grub amnésique.

Hors ligne

#2 Le 28/03/2017, à 13:24

denis56

Re : 1 package can be upgraded. Run 'apt list --upgradable' to see it.

Salut,

À ta dernière question : Non. Une commande sudo fait forcément appel à l'humain qui donne son password en accord. Il y avait des conflits, peut-être réglés par le nouveau noyau :

dkms: WARNING: Linux headers are missing, which may explain the above failures.
      please install the linux-headers-4.4.0-64-generic package to fix this.

Il est possible que ce soit ton option -y qui ait outrepassé les dépendances.
C'est le même principe que la poubelle où tu peux encore repêcher...  Mais il existe des subtilités de configuration d'un système qui contournent cela, comme les conf* qui upgradent à la version plus récente, ou celle (?) qui maintient seulement 1,2,3 versions(la nouvelle, celle en cours, la précédente) du noyau pour rebooter sur celle qui roulait bien,  ou comme celle qui virent les paquets inutilisés. Bien comprendre que là, tu es au cœur de ton système, par sur un bras.

J'aurais fais l'upgrade avant l'autoremove, tu as bien fait la liste mais pas l'éxécution ...
L'autoremove te supprime ton linux-image.66 alors que tu as à peine testé la 67...
L'autoremove sur des éléments vitaux comme linux images et linux headers supposent de vérifier d'abord ce qui reste en place. Je ne voudrais surtout pas d'un autoremove à l'aveugle sur les paquets système. Sur les paquets logiciels c'est moins grave et ils dégagent d'ailleurs une fois obsolètes.

apt update

pour vérifier que tu repars bien.

* voir qqchose comme maintenir son système propre.


Debian Jessie souvent, Xubuntu parfois, Handylinux ponctuellement
Bénévole @ Rhizomes

Hors ligne

#3 Le 28/03/2017, à 13:55

jplemoine

Re : 1 package can be upgraded. Run 'apt list --upgradable' to see it.

Caille a écrit :

Est-il possible que lors d'une mise à jour, si il y a besoin d'un sudo apt autoremove que celle-ci soit lancée automatiquement ?

oui, c'est possible mais ça pose 2 problèmes.
- il faut redémarrer la machine pour passer sur le nouveau noyau qui vient d'être installé
- il faut garder le noyau actuel au cas où il y ait une problème avec le nouveau (voir post précédent)

Question : l'auto-remove supprime quels noyaux ? Dans quel cas (installation / installation + redémarrage) ?

Dernière modification par jplemoine (Le 28/03/2017, à 13:55)


Cordialement, Jean-Philippe.
Système principal Sous Ubuntu de 2009 à février 2015 - Xubuntu depuis.
Xubuntu 16.04 (poste principal portable) - Ubuntu 16.04 server (desktop converti en serveur DHCP, DNS, dépôt local et supervision (shinken))
Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)

Hors ligne

#4 Le 28/03/2017, à 16:37

GammaDraconis

Re : 1 package can be upgraded. Run 'apt list --upgradable' to see it.

L'autoremove n'est pas risqué car il conserve les 2 derniers noyaux donc si tu as les 4 derniers noyaux d'installé, il va te supprimer les 2 plus anciens et te garder les 2 plus récents.

tu peux très bien créer une commande alias qui te fais tout d'un coup (maj + purge).

Exemple :

maj=sudo apt update && sudo apt full-upgrade && sudo apt autoremove --purge && sudo apt clean

Hors ligne

#5 Le 28/03/2017, à 17:56

jplemoine

Re : 1 package can be upgraded. Run 'apt list --upgradable' to see it.

GammaDraconis a écrit :

L'autoremove n'est pas risqué car il conserve les 2 derniers noyaux

Je suis sûr que non, au moins dans certains cas...


Cordialement, Jean-Philippe.
Système principal Sous Ubuntu de 2009 à février 2015 - Xubuntu depuis.
Xubuntu 16.04 (poste principal portable) - Ubuntu 16.04 server (desktop converti en serveur DHCP, DNS, dépôt local et supervision (shinken))
Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)

Hors ligne

#6 Le 28/03/2017, à 17:57

jplemoine

Re : 1 package can be upgraded. Run 'apt list --upgradable' to see it.

Je pourrais te le prouver au prochain changement de noyau...


Cordialement, Jean-Philippe.
Système principal Sous Ubuntu de 2009 à février 2015 - Xubuntu depuis.
Xubuntu 16.04 (poste principal portable) - Ubuntu 16.04 server (desktop converti en serveur DHCP, DNS, dépôt local et supervision (shinken))
Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)

Hors ligne

#7 Le 28/03/2017, à 22:51

denis56

Re : 1 package can be upgraded. Run 'apt list --upgradable' to see it.

J'avoue avoir la même réticence.  Par exemple si Caille nous disait combien il a de noyaux à cette heure.

dpkg -l | grep -Ei "linux-(g|h|i|lo|si|t)"

Parce que à la fin de son 2° retour on peut lire

Image mémoire initiale trouvée : /boot/initrd.img-4.4.0-67-generic
Image Linux trouvée : /boot/vmlinuz-4.4.0-66-generic
Image mémoire initiale trouvée : /boot/initrd.img-4.4.0-66-generic
Windows Boot Manager trouvé sur /dev/sda2@/efi/Microsoft/Boot/bootmgfw.efi
Adding boot menu entry for EFI firmware configuration
fait
Suppression de linux-image-generic (4.4.0.66.70)

donc l'autoremove répare le 64 puis le vire, (joli coup!)
configure Grub avec le 67 et... vire le 66.
Et Caille ne dit rien de version... 65, 68 ou 69

Selon GammaDraconis il devrait avoir le 67 ok, puis le 68 (?) ou le 65 ou...
Selon jplemoine le 67 seulement ?
Et selon la Doc

Il semble que Caille soit dans le cas du bug vicieux que recrée malbo, s'il n'a pas rebooté après sa mise à jour.


Debian Jessie souvent, Xubuntu parfois, Handylinux ponctuellement
Bénévole @ Rhizomes

Hors ligne

#8 Hier à 06:38

jplemoine

Re : 1 package can be upgraded. Run 'apt list --upgradable' to see it.

J'ai seulement dit que l'autoremove ne laissait pas obligatoirement 2 noyaux.
Je sais que par moment, il veut me virer l'avant dernier.
Je relance alors le script post installation, il veut alors que je reboote : je lui ziguouille l'indicateur (puisque déjà fait).

De ce que j'ai compris de mes tests (je n'ai ni certitude, ni explication), l'autoremove fonctionne si on le lance avant de rebooter (on est alors sur l'avant dernier noyau)
--> n -1
--> n (courant)
--> n+1 : vient d'être installé
Là, l'autoremove fonctionne

La plupart des gens reboote et teste le nouveau noyau. Il est ok --> on est alors dans le cas suivant
--> n -1
--> n
--> n+1 : (courant)
Là, l'autoremove veut supprimer le n et le n-1 . Ce qui selon moi et un bug.


Cordialement, Jean-Philippe.
Système principal Sous Ubuntu de 2009 à février 2015 - Xubuntu depuis.
Xubuntu 16.04 (poste principal portable) - Ubuntu 16.04 server (desktop converti en serveur DHCP, DNS, dépôt local et supervision (shinken))
Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)

Hors ligne